%define module_name	ndiswrapper
%define module_version	1.47
%define module_release	alt1

%define kversion	2.6.18
%define krelease	alt12
%define flavour		std-pae

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name


Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132626.12

Group: System/Kernel and hardware
Summary: %module_name kernel module allows you to use Windows WLAN card drivers

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>


Url: http://ndiswrapper.sourceforge.net
License: GPL

ExclusiveOS:	Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires:	kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires:	kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86 x86_64



%description
Some vendors do not release specifications of the hardware 
or provide a linux driver for their wireless network cards. 
The NdisWrapper project provides a linux kernel module that 
loads and runs Ndis (Windows network driver API) drivers 
supplied by the vendors.

This package contains only kernel module.

The userspace tools from NdisWrapper comes in a separate package 
(ndiswrapper...).


%prep

%__rm -rf kernel-source-%module_name-%module_version
tar -xvf %kernel_src/kernel-source-%module_name-%module_version.tar.gz
%setup -D -T -n %module_name-%module_version/driver


%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc


%make_build KPSUB=26 KBUILD=%_usrsrc/linux-%kversion-%flavour KSRC=%_usrsrc/linux-%kversion-%flavour \
%ifarch %ix86
CC="gcc-$GCC_VERSION -m32"
%endif

%install
%__mkdir -p \
    %buildroot/%module_dir
    %__cp -a %module_name.ko %buildroot//%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease
%postun
%postun_kernel_modules %kversion-%flavour-%krelease


%files
%dir %module_dir/
%module_dir/*

%changelog
* Sun Feb 10 2008 Sergey Vlasov <vsu@altlinux.ru> 1.47-alt1.132626.12
- Build for kernel-image-std-pae-2.6.18-alt12.

* Wed Aug 08 2007 L.A. Kostis <lakostis@altlinux.ru> 1.47-alt1
- Version 1.47.

* Sun Jun 10 2007 L.A. Kostis <lakostis@altlinux.ru> 1.46-alt1
- Version 1.46.

* Sun Apr 22 2007 L.A. Kostis <lakostis@altlinux.ru> 1.42-alt1
- Version 1.42.

* Sat Feb 17 2007 L.A. Kostis <lakostis@altlinux.ru> 1.37-alt1
- Version 1.37.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1.31-alt2
- Removed unneeded "Prereq: modutils".

* Sat Dec 09 2006 L.A. Kostis <lakostis@altlinux.ru> 1.31-alt1
- Version 1.31.

* Fri Dec 01 2006 L.A. Kostis <lakostis@altlinux.org> 1.30-alt1
- Version 1.30.

* Wed Nov 29 2006 L.A. Kostis <lakostis@altlinux.org> 1.29-alt1
- Version 1.29.

* Sun Nov 19 2006 L.A. Kostis <lakostis@altlinux.org> 1.28-alt1
- Version 1.28.

* Mon Oct 23 2006 L.A. Kostis <lakostis@altlinux.org> 1.27-alt1
- Version 1.27.

* Sun Oct 22 2006 L.A. Kostis <lakostis@altlinux.org> 1.26-alt1
- Version 1.26.

* Wed Oct 11 2006 L.A. Kostis <lakostis@altlinux.org> 1.24-alt1
- Version 1.24.

* Fri Sep 22 2006 L.A. Kostis <lakostis@altlinux.org> 1.22-alt2
- add hack for %%ix86 cross-build on x86_64 host.

* Fri Aug 11 2006 L.A. Kostis <lakostis@altlinux.ru> 1.22-alt1
- Version 1.22.

* Sun Jul 09 2006 L.A. Kostis <lakostis@altlinux.ru> 1.16-alt1
- Imported Sisyphus .spec (from oddity@) to kernel cvs.
- Fix build process for 2.6 kernel (remove uname autoguessing).
- Remove ifdef's for 2.4 - it's not build here anymore due gcc-3.4 dependency.

* Mon Jul 18 2005 Ivan Zakharyaschev <imz@altlinux.ru> 1.1-alt1
- Initial revision.

